# Contributing Guidelines

Thank you for your interest in contributing to EmmyLuaCodeStyle! Here are some guidelines to help you make valuable contributions to this project.

## Submitting Issues

If you find any issues or have any suggestions, please submit them on the [Github Issues](https://github.com/CppCXY/EmmyLuaCodeStyle/issues) page. All feedback and suggestions are welcome and we will respond as quickly as possible.

## Code Contributions

### Committing Process

1. Fork the project.
2. Create a new branch in your fork and work on it.
3. Make sure that your code conforms to coding standards and unit testing requirements (you can refer to the project's README file).
4. Submit a Pull Request to the master branch of the project.

### Coding Standards

Please follow these rules when writing code:

- Code style: Try to follow the .clang-format standard and use clang-format for automatic code formatting. If there are any deviations from this standard, please fix them.
- Testing: Run tests before committing code. We use GTest as the testing framework. You can refer to the existing test files in the project and write more test cases.

## Disclaimer

We strive to keep this project running smoothly and do our best to review and test all code changes. However, we cannot be held responsible for any losses or damages resulting from using or running this project. By using or contributing to this project, you agree to this disclaimer.

(Generate by ChatGPT)