return {
  summary = 'Keys that can be pressed.',
  description = [[
    Keys that can be pressed on a keyboard.  Notably, numpad keys are missing right now.
  ]],
  values = {
    { name = 'a', description = 'The A key.' },
    { name = 'b', description = 'The B key.' },
    { name = 'c', description = 'The C key.' },
    { name = 'd', description = 'The D key.' },
    { name = 'e', description = 'The E key.' },
    { name = 'f', description = 'The F key.' },
    { name = 'g', description = 'The G key.' },
    { name = 'h', description = 'The H key.' },
    { name = 'i', description = 'The I key.' },
    { name = 'j', description = 'The J key.' },
    { name = 'k', description = 'The K key.' },
    { name = 'l', description = 'The L key.' },
    { name = 'm', description = 'The M key.' },
    { name = 'n', description = 'The N key.' },
    { name = 'o', description = 'The O key.' },
    { name = 'p', description = 'The P key.' },
    { name = 'q', description = 'The Q key.' },
    { name = 'r', description = 'The R key.' },
    { name = 's', description = 'The S key.' },
    { name = 't', description = 'The T key.' },
    { name = 'u', description = 'The U key.' },
    { name = 'v', description = 'The V key.' },
    { name = 'w', description = 'The W key.' },
    { name = 'x', description = 'The X key.' },
    { name = 'y', description = 'The Y key.' },
    { name = 'z', description = 'The Z key.' },
    { name = '0', description = 'The 0 key.' },
    { name = '1', description = 'The 1 key.' },
    { name = '2', description = 'The 2 key.' },
    { name = '3', description = 'The 3 key.' },
    { name = '4', description = 'The 4 key.' },
    { name = '5', description = 'The 5 key.' },
    { name = '6', description = 'The 6 key.' },
    { name = '7', description = 'The 7 key.' },
    { name = '8', description = 'The 8 key.' },
    { name = '9', description = 'The 9 key.' },
    { name = 'space', description = 'The space bar.' },
    { name = 'return', description = 'The enter key.' },
    { name = 'tab', description = 'The tab key.' },
    { name = 'escape', description = 'The escape key.' },
    { name = 'backspace', description = 'The backspace key.' },
    { name = 'up', description = 'The up arrow key.' },
    { name = 'down', description = 'The down arrow key.' },
    { name = 'left', description = 'The left arrow key.' },
    { name = 'right', description = 'The right arrow key.' },
    { name = 'home', description = 'The home key.' },
    { name = 'end', description = 'The end key.' },
    { name = 'pageup', description = 'The page up key.' },
    { name = 'pagedown', description = 'The page down key.' },
    { name = 'insert', description = 'The insert key.' },
    { name = 'delete', description = 'The delete key.' },
    { name = 'f1', description = 'The F1 key.' },
    { name = 'f2', description = 'The F2 key.' },
    { name = 'f3', description = 'The F3 key.' },
    { name = 'f4', description = 'The F4 key.' },
    { name = 'f5', description = 'The F5 key.' },
    { name = 'f6', description = 'The F6 key.' },
    { name = 'f7', description = 'The F7 key.' },
    { name = 'f8', description = 'The F8 key.' },
    { name = 'f9', description = 'The F9 key.' },
    { name = 'f10', description = 'The F10 key.' },
    { name = 'f11', description = 'The F11 key.' },
    { name = 'f12', description = 'The F12 key.' },
    { name = '`', description = 'The backtick/backquote/grave accent key.' },
    { name = '-', description = 'The dash/hyphen/minus key.' },
    { name = '=', description = 'The equal sign key.' },
    { name = '[', description = 'The left bracket key.' },
    { name = ']', description = 'The right bracket key.' },
    { name = '\\', description = 'The backslash key.' },
    { name = ';', description = 'The semicolon key.' },
    { name = '\'', description = 'The single quote key.' },
    { name = ',', description = 'The comma key.' },
    { name = '.', description = 'The period key.' },
    { name = '/', description = 'The slash key.' },
    { name = 'lctrl', description = 'The left control key.' },
    { name = 'lshift', description = 'The left shift key.' },
    { name = 'lalt', description = 'The left alt key.' },
    { name = 'lgui', description = 'The left OS key (windows, command, super).' },
    { name = 'rctrl', description = 'The right control key.' },
    { name = 'rshift', description = 'The right shift key.' },
    { name = 'ralt', description = 'The right alt key.' },
    { name = 'rgui', description = 'The right OS key (windows, command, super).' },
    { name = 'capslock', description = 'The caps lock key.' },
    { name = 'scrolllock', description = 'The scroll lock key.' },
    { name = 'numlock', description = 'The numlock key.' }
  },
  related = {
    'lovr.keypressed',
    'lovr.keyreleased'
  }
}
